Bug 45227 - Zsync file is downloaded via HTTP instead of HTTPS
Zsync file is downloaded via HTTP instead of HTTPS
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-2-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks: 45291
  Show dependency treegraph
 
Reported: 2017-08-21 15:23 CEST by Stefan Gohmann
Modified: 2017-09-06 17:10 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Dirk Wiesenthal univentionstaff 2017-08-29 11:37:42 CEST
Fixed in
  univention-appcenter 6.0.9-3A~4.2.0.201708291136
Comment 2 Dirk Wiesenthal univentionstaff 2017-08-29 11:39:08 CEST
Falling back to download
  https://appcenter.software-univention.de/meta-inf/4.1/all.tar.gz
if zsync fails whysoever.

Then extract it to ${CACHE_DIR}/.all.tar and check it wrt https://appcenter.software-univention.de/meta-inf/4.1/all.tar.gpg
Comment 3 Felix Botner univentionstaff 2017-08-29 15:58:28 CEST
OK - looks good, if zsync fails, the appcenter tries the normal download 
     procedure
OK - YAM
Comment 4 Arvid Requate univentionstaff 2017-09-06 17:10:12 CEST
<http://errata.software-univention.de/ucs/4.2/158.html>